<!doctype html>
<html lang="en">

<head>
	<!-- Required meta tags -->
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">

	<!-- Bootstrap CSS -->
	<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">

	<title>Hello, world!</title>
</head>

<body>
	<div class="container">
		<div class="row">
			<div class="col-md-12">
				<h3 class="text-center">Pagination with Search filter</h3>

				<div class="card">
					<div class="card-body">
						<form action="<?= base_url() ?>" method="get">
							<div class="row g-3 align-items-center">
								<div class="col-auto">
									<label for="search_text" class="col-form-label">Search</label>
								</div>
								<div class="col-auto">
									<input type="text" placeholder="Search here" value="<?php if($this->input->get('search_text')){echo $this->input->get('search_text');}?>" id="search_text" name="search_text" class="form-control" aria-describedby="">
<br>
									<input type="text" placeholder="Mobile here" value="<?php if($this->input->get('search_mobile')){echo $this->input->get('search_mobile');}?>" id="search_mobile" name="search_mobile" class="form-control" aria-describedby="">

								</div>
								<div class="col-auto">
									<input type="submit" class="btn btn-primary" value="Search" >
								</div>
							</div>
						</form>
						<table class="table table-striped table-bordered" style="margin-top: 20px">
							<thead>
								<tr>
									<th>SN</th>
									<th>Name</th>
									<th>Email</th>
									<th>Mobile</th>
									<th>Address</th>

								</tr>
							</thead>
							<tbody>
								<?php $i = 1;
								foreach ($users as $val) { ?>
									<tr>
										<td><?= $i++ ?></td>
										<td><?= $val['name'] ?></td>
										<td><?= $val['email'] ?></td>
										<td><?= $val['mobile'] ?></td>
										<td><?= $val['address'] ?></td>
									</tr>
								<?php } ?>
							</tbody>
						</table>
					</div>
					<?=$links?>
				</div>
			</div>
		</div>
	</div>

	<!-- Optional JavaScript; choose one of the two! -->

	<!-- Option 1: Bootstrap Bundle with Popper -->
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous"></script>

	<!-- Option 2: Separate Popper and Bootstrap JS -->
	<!--
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.2/dist/umd/popper.min.js" integrity="sha384-IQsoLXl5PILFhosVNubq5LC7Qb9DXgDA9i+tQ8Zj3iwWAwPtgFTxbJ8NT4GN1R8p" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.min.js" integrity="sha384-cVKIPhGWiC2Al4u+LWgxfKTRIcfu0JTxR+EQDz/bgldoEyl4H0zUF0QKbrJ0EcQF" crossorigin="anonymous"></script>
    -->
</body>

</html>